import request from '@/utils/request';
// 设备类型查询
export function getDeviceType(query) {
  return request({
    url: '/system/dict/data/type/device_type',
    method: 'get',
    // params: query
  })
}
export function getList(query) {
  return request({
    url: '/basedata/eqpbook/list',
    method: 'get',
    params: query
  })
}

// 区域名称选择Tree树
export function getTreeselect(query) {
  return request({
    url: '/basedata/area/treeselect',
    method: 'get',
    params: query
  })
}
// 
// 删除
export function postRemove(query) {
  return request({
    url: `/basedata/eqpbook/remove/${query}`,
    method: 'post',
  })
}
// 单条数据查询
export function getEqpbook(query) {
  return request({
    url: `/basedata/eqpbook/${query}`,
    method: 'get',
  })
}
// 设备来源
export function use_mode(query) {
  return request({
    url: `/system/dict/data/type/use_mode`,
    method: 'get',
  })
}
// 视频类型
export function video_mode(query) {
  return request({
    url: `/system/dict/data/type/video_mode`,
    method: 'get',
  })
}
// 新增
export function eqpbook(query) {
  return request({
    url: `/basedata/eqpbook`,
    method: 'post',
    data: query
  })
}
// 编辑
export function edit(query) {
  return request({
    url: `/basedata/eqpbook/edit`,
    method: 'post',
    data: query
  })
}
// 主系统
export function mainsystemList(query) {
  return request({
    url: '/basedata/bdconfig/mainsystem/list',
    method: 'get',
    params: { pageNum: 1, pageSize: 10000 }
  })
}
// 导出
export function download(query) {
  return request({
    url: `/basedata/eqpbook/export`,
    method: 'post',
     data: query
  })
}
// 图片上传
